<?php

$feminine_style_coach_tp_theme_css = '';

//theme-color
$feminine_style_coach_tp_color_option = get_theme_mod('feminine_style_coach_tp_color_option');
// 1st color
$feminine_style_coach_tp_color_option = get_theme_mod('feminine_style_coach_tp_color_option', '#EB756C');
if ($feminine_style_coach_tp_color_option) {
	$feminine_style_coach_tp_theme_css .= ':root {';
	$feminine_style_coach_tp_theme_css .= '--color-primary1: ' . esc_attr($feminine_style_coach_tp_color_option) . ';';
	$feminine_style_coach_tp_theme_css .= '}';
}

$feminine_style_coach_tp_color_option_link = get_theme_mod('feminine_style_coach_tp_color_option_link');

if($feminine_style_coach_tp_color_option_link != false){
$feminine_style_coach_tp_theme_css .='.prev.page-numbers:focus, .prev.page-numbers:hover, .next.page-numbers:focus, .next.page-numbers:hover, #comments input[type="submit"]:hover,.woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover,span.meta-nav:hover, .woocommerce input.button:hover, .woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover, #footer button[type="submit"]:hover, #theme-sidebar button[type="submit"]:hover,.book-tkt-btn a.register-btn:hover,.book-tkt-btn a.bar-btn i:hover,.more-btn a:hover,.headerbox,.more-btn a:hover,.newsletter-container{';
	$feminine_style_coach_tp_theme_css .='background: '.esc_attr($feminine_style_coach_tp_color_option_link).';';
$feminine_style_coach_tp_theme_css .='}';
}
if($feminine_style_coach_tp_color_option_link != false){
$feminine_style_coach_tp_theme_css .='a:hover,#theme-sidebar a:hover,#footer li a:hover,.media-links i:hover ,.page-box h4 a:hover,.readmore-btn a:hover, #theme-sidebar .widget_tag_cloud a:hover,#theme-sidebar .tagcloud a:hover,#footer .tagcloud a:hover,#footer p.wp-block-tag-cloud a:hover{';
	$feminine_style_coach_tp_theme_css .='color: '.esc_attr($feminine_style_coach_tp_color_option_link).';';
$feminine_style_coach_tp_theme_css .='}';
}
if($feminine_style_coach_tp_color_option_link != false){
$feminine_style_coach_tp_theme_css .='#footer .tagcloud a:hover,.wp-block-tag-cloud a:hover, #theme-sidebar .widget_tag_cloud a:hover,.readmore-btn a:hover,#footer p.wp-block-tag-cloud a:hover{';
	$feminine_style_coach_tp_theme_css .='border-color: '.esc_attr($feminine_style_coach_tp_color_option_link).';';
$feminine_style_coach_tp_theme_css .='}';
}
$feminine_style_coach_tp_footer_bg_color_option = get_theme_mod('feminine_style_coach_tp_footer_bg_color_option');


if($feminine_style_coach_tp_footer_bg_color_option != false){
$feminine_style_coach_tp_theme_css .='#footer{';
	$feminine_style_coach_tp_theme_css .='background: '.esc_attr($feminine_style_coach_tp_footer_bg_color_option).';';
$feminine_style_coach_tp_theme_css .='}';
}

// logo tagline color
$feminine_style_coach_site_tagline_color = get_theme_mod('feminine_style_coach_site_tagline_color');

if($feminine_style_coach_site_tagline_color != false){
$feminine_style_coach_tp_theme_css .='.logo h1 a, .logo p.site-title a{';
$feminine_style_coach_tp_theme_css .='color: '.esc_attr($feminine_style_coach_site_tagline_color).';';
$feminine_style_coach_tp_theme_css .='}';
}

$feminine_style_coach_logo_tagline_color = get_theme_mod('feminine_style_coach_logo_tagline_color');
if($feminine_style_coach_logo_tagline_color != false){
$feminine_style_coach_tp_theme_css .='p.site-description{';
$feminine_style_coach_tp_theme_css .='color: '.esc_attr($feminine_style_coach_logo_tagline_color).';';
$feminine_style_coach_tp_theme_css .='}';
}

// footer widget title color
$feminine_style_coach_footer_widget_title_color = get_theme_mod('feminine_style_coach_footer_widget_title_color');
if($feminine_style_coach_footer_widget_title_color != false){
$feminine_style_coach_tp_theme_css .='#footer h3, #footer h2.wp-block-heading{';
$feminine_style_coach_tp_theme_css .='color: '.esc_attr($feminine_style_coach_footer_widget_title_color).';';
$feminine_style_coach_tp_theme_css .='}';
}

// copyright text color
$feminine_style_coach_footer_copyright_text_color = get_theme_mod('feminine_style_coach_footer_copyright_text_color');
if($feminine_style_coach_footer_copyright_text_color != false){
$feminine_style_coach_tp_theme_css .='#footer .site-info p, #footer .site-info a {';
$feminine_style_coach_tp_theme_css .='color: '.esc_attr($feminine_style_coach_footer_copyright_text_color).';';
$feminine_style_coach_tp_theme_css .='}';
}

// header image title color
$feminine_style_coach_header_image_title_text_color = get_theme_mod('feminine_style_coach_header_image_title_text_color');
if($feminine_style_coach_header_image_title_text_color != false){
$feminine_style_coach_tp_theme_css .='.box-text h2{';
$feminine_style_coach_tp_theme_css .='color: '.esc_attr($feminine_style_coach_header_image_title_text_color).';';
$feminine_style_coach_tp_theme_css .='}';
}

// menu color
$feminine_style_coach_menu_color = get_theme_mod('feminine_style_coach_menu_color');
if($feminine_style_coach_menu_color != false){
$feminine_style_coach_tp_theme_css .='.main-navigation a{';
$feminine_style_coach_tp_theme_css .='color: '.esc_attr($feminine_style_coach_menu_color).';';
$feminine_style_coach_tp_theme_css .='}';
}

//Footer Font Weight
$feminine_style_coach_footer_copyright_title_font_weight = get_theme_mod( 'feminine_style_coach_footer_copyright_title_font_weight','');
if($feminine_style_coach_footer_copyright_title_font_weight == '100'){
$feminine_style_coach_tp_theme_css .='#footer .site-info p {';
    $feminine_style_coach_tp_theme_css .='font-weight: 100;';
$feminine_style_coach_tp_theme_css .='}';
}else if($feminine_style_coach_footer_copyright_title_font_weight == '200'){
$feminine_style_coach_tp_theme_css .='#footer .site-info p {';
    $feminine_style_coach_tp_theme_css .='font-weight: 200;';
$feminine_style_coach_tp_theme_css .='}';
}else if($feminine_style_coach_footer_copyright_title_font_weight == '300'){
$feminine_style_coach_tp_theme_css .='#footer .site-info p {';
    $feminine_style_coach_tp_theme_css .='font-weight: 300;';
$feminine_style_coach_tp_theme_css .='}';
}else if($feminine_style_coach_footer_copyright_title_font_weight == '400'){
$feminine_style_coach_tp_theme_css .='#footer .site-info p {';
    $feminine_style_coach_tp_theme_css .='font-weight: 400;';
$feminine_style_coach_tp_theme_css .='}';
}else if($feminine_style_coach_footer_copyright_title_font_weight == '500'){
$feminine_style_coach_tp_theme_css .='#footer .site-info p {';
    $feminine_style_coach_tp_theme_css .='font-weight: 500;';
$feminine_style_coach_tp_theme_css .='}';
}else if($feminine_style_coach_footer_copyright_title_font_weight == '600'){
$feminine_style_coach_tp_theme_css .='#footer .site-info p {';
    $feminine_style_coach_tp_theme_css .='font-weight: 600;';
$feminine_style_coach_tp_theme_css .='}';
}else if($feminine_style_coach_footer_copyright_title_font_weight == '700'){
$feminine_style_coach_tp_theme_css .='#footer .site-info p {';
    $feminine_style_coach_tp_theme_css .='font-weight: 700;';
$feminine_style_coach_tp_theme_css .='}';
}else if($feminine_style_coach_footer_copyright_title_font_weight == '800'){
$feminine_style_coach_tp_theme_css .='#footer .site-info p {';
    $feminine_style_coach_tp_theme_css .='font-weight: 800;';
$feminine_style_coach_tp_theme_css .='}';
}else if($feminine_style_coach_footer_copyright_title_font_weight == '900'){
$feminine_style_coach_tp_theme_css .='#footer .site-info p {';
    $feminine_style_coach_tp_theme_css .='font-weight: 900;';
$feminine_style_coach_tp_theme_css .='}';
}